# General
- `https://` vorgeschrieben
- Signatur-Verifikation vorgeschriben

# API-Endpunkte
## Server
GET `/pubkey`
- 404: Not Found
- 200: OK
- 30?: Changed
- ???: Too Many Requests
- ???: No Key

GET `/login`
- 404: Not Found
- 200: OK
- ???: Too Many Requests

POST `/login`
- 404: Not Found
- 200: OK
- 40?: Authorisation Failed
- ???: Too Many Requests

POST `/inbox`
- 404: Not Found
- 200: OK
- ???: Too Many Requests
- ???: No Message

## Account
GET `/@<account>/pubkey`
- 404: Not Found
- 200: OK
- 30?: Changed
- ???: Too Many Requests
- ???: No Key

POST `/@<account>/pubkey`
- 404: Not Found
- 200: OK
- 40?: Authorisation Failed
- ???: Too Many Requests
- ???: No Key

PUT `/@<account>/pubkey`
- 404: Not Found
- 200: OK
- 40?: Authorisation Failed
- ???: Too Many Requests
- ???: No Key

GET `/@<account>/inbox`
- 404: Not Found
- 200: OK
- 40?: Authorisation Failed
- ???: Too Many Requests
- ???: No Message

PUT `/@<account>/outbox`
- 404: Not Found
- 200: OK
- 40?: Authorisation Failed
- ???: Too Many Requests
- ???: No Message

GET `/@<account>/privkey`
- 404: Not Found
- 200: OK
- ???: Too Many Requests
- ???: No Key

POST `/@<account>/privkey`
- 404: Not Found
- 200: OK
- ???: Too Many Requests
- ???: No Key

PUT `/@<account>/privkey`
- 404: Not Found
- 200: OK
- ???: Too Many Requests
- ???: No Key

GET `/@<account>/messages`
- 404: Not Found
- 200: OK
- ???: Too Many Requests

GET `/@<account>/groups`
- 404: Not Found
- 200: OK
- ???: Too Many Requests

POST `/@<account>/groups`
- 404: Not Found
- 200: OK
- ???: Too Many Requests

GET `/@<account>/trusted`
- 404: Not Found
- 200: OK
- ???: Too Many Requests

POST `/@<account>/trusted`
- 404: Not Found
- 200: OK
- ???: Too Many Requests